%define language pt-BR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Brazilian Portuguese
%define name mozilla-thunderbird-enigmail-pt_BR
%define version 1.0.6
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/enigmail-%language-%{enigmail_version}.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_buildroot}
BuildRequires: mozilla-thunderbird
Requires(pre): mozilla-thunderbird-enigmail = %{version}
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale}

%description
%{langname} localisation for Mozilla Enigmail in Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/enigmail-%language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/lang/
cat << EOF > %buildroot%{mozillalibdir}/chrome/lang/lang-%name.txt
locale,install,url,jar:resource:/chrome/enigmail-%language.jar!/locale/%language/enigmail/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%{mozillalibdir}/chrome/*.jar
%{mozillalibdir}/chrome/lang/*.txt

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%changelog
* Thu Aug 18 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 1.0.6-1mdk
- initial package based on the mozilla-enigmail french locales
